=== debian/changelog ===
mt-st (0.9b-3) unstable; urgency=low

  * Work around something I believe to be a debhelper issue:
    Fix postrm exit status, closes: #381901, forwarded as #381940.
    Thanks to Eric Lavarde.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 12 Aug 2006 15:01:23 +0200

mt-st (0.9b-2) unstable; urgency=low

  * linux-kernel-headers was meant to be a _build_-dependency. Sorry.
    Adjust dependencies, closes: #378391.
  * Introduce udev rules to augment the list of scripts that may
    be triggered by module load/unload and device insertion;
    thanks to Alex Owen. Closes: #251114.
  * Entrust most of the installation/removal package scripts' content
    to debhelper.
  * Update upstream hostname in debian/copyright in order to match
    upstream's license file.
  * Include a debian/watch file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 17 Jul 2006 00:58:55 +0200

mt-st (0.9b-1) unstable; urgency=low

  * Take over the orphaned package. Closes: #374122.
  * New upstream version, closes: #294646.
    * Copy SG 3.x protocol definitions from the (2.6-)kernel scsi/sg.h
      header. The stinit code provides a fallback, so this is safe
      when running on kernels < 2.6.
    * Introduce a new build-dependency on linux-kernel-headers for
      the copied kernel header.
  * Supply modprobe.d/ snippet in analogy to the already existing
    modutils config file. Closes: #251114.
  * Bump debhelper to version 5, clean up package build process.
  * Remove -g from the compiler options.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun,  9 Jul 2006 02:47:08 +0200

mt-st (0.8-2) unstable; urgency=low

  * QA Upload
  * Set Maintainer to QA Group (Orphaned, #374122)
  * Fix short package description (Closes: #374877) 
  * Bump up compat level, depend on at least dh 4.0.0
  * Prefer using invoke-rc.d instead of directly calling the init 
    script in postinst.
  * Call update-modules only if command exists, otherwise package 
    fails to install on module-less kernels (Closes: #271230)
  * Conforms to latest Standards Version

 -- Michael Ablassmeier <abi@debian.org>  Thu,  6 Jul 2006 11:11:04 +0200

mt-st (0.8-1) unstable; urgency=low

  * New upstream version.
  * Updated copyright to specify both copyrights and licensing terms.
  * Dropped the .lsm from mt-st.docs, it's redundant.

 -- Philippe Troin <phil@fifi.org>  Wed, 14 Apr 2004 16:20:38 -0700

mt-st (0.7-3) unstable; urgency=low

  * Run update-modules for purge, not remove in postrm; closes: #145646.
  * Update debian/rules with the new rules for DEB_BUILD_OPTIONS (noopt).
  * Now compliant with Standards-Version 3.6.1.0.
  * Applied a patch from upstream to fix a bug when stinit fails to
    initialize the second of two identical drives.
  * Changed build-depends on debhelper for v 3.0.0 instead of 2.2.0.
  * Removed debian/mt-st.conffiles since debhelper does it for us.

 -- Philippe Troin <phil@fifi.org>  Fri, 12 Mar 2004 17:14:20 -0800

mt-st (0.7-2) unstable; urgency=low

  * Allow stinit to detect tapes when /dev/tape<n> does not match the st
    driver's idea of tape number <n>. This can happen with a modularized
    st driver that is inserted and removed more than once.

 -- Philippe Troin <phil@fifi.org>  Fri, 15 Mar 2002 20:11:47 -0800

mt-st (0.7-1) unstable; urgency=low

  * Fixed upstream version detection in debian/rules.
  * New upstream release.

 -- Philippe Troin <phil@fifi.org>  Mon, 26 Nov 2001 19:34:37 -0800

mt-st (0.6-5) unstable; urgency=low

  * Added debhelper to build-depends; closes: #104631.
  * Upgraded to standards version 3.5.5.0.
  * Added support for DEB_BUILD_OPTIONS.
  * Added support for debian/rules get-orig-source.

 -- Philippe Troin <phil@fifi.org>  Tue, 17 Jul 2001 22:38:40 -0700

mt-st (0.6-4) unstable; urgency=low

  * Add a patch from "merlin" <merlin@merlin.org> for devfs compatibility;
    closes: #99906.
  * Updated copyright to reflect current upstream sources location.

 -- Philippe Troin <phil@fifi.org>  Mon,  2 Jul 2001 14:02:56 -0700

mt-st (0.6-3) unstable; urgency=low

  * Add a "eject" command for better compatibility with GNU mt; closes: #86664.

 -- Philippe Troin <phil@fifi.org>  Tue, 20 Feb 2001 14:38:38 -0800

mt-st (0.6-2) unstable; urgency=low
 
  * Avoid stat()'ing all devices to prevent loading all possible modules,
    we now stat only st* and nst* devices (at the expense of missing some
    device files, but a Debian system ought to have devices named as they
    should...); closes: #85978.

 -- Philippe Troin <phil@fifi.org>  Thu, 15 Feb 2001 11:55:43 -0800

mt-st (0.6-1.1) unstable; urgency=low

  * Experimental release...

 -- Philippe Troin <phil@fifi.org>  Wed, 14 Feb 2001 11:55:50 -0800

mt-st (0.6-1) unstable; urgency=low

  * New package; closes: #83810.

 -- Philippe Troin <phil@fifi.org>  Sat, 27 Jan 2001 18:30:45 -0800
