=== debian/control ===
Source: mt-st
Section: admin
Priority: extra
Maintainer: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Build-Depends: debhelper (>= 5), linux-kernel-headers
Standards-Version: 3.7.2

Package: mt-st
Architecture: any
Depends: ${shlibs:Depends}
Description: Linux SCSI tape driver aware magnetic tape control (aka mt)
 Mt-st contains a version of "mt" that is aware of Linux's SCSI tape
 driver. Mt-st is able to set some esoteric control flags like tape partitions.
 .
 Mt-st diverts (replaces) the GNU version of mt, in the cpio package.
 .
 It also comes with stinit, a program to be run at boot time to set up
 tape defaults.
