=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for mt-st.
# Copyright (C) 2006 Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
# Copyright (C) 2001, 2004 Philippe Troin <phil@fifi.org>
# Based on:
#   Sample debian/rules that uses debhelper.
#   GPL copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
#export DH_COMPAT=5

#DEBCFLAGS:=-g
WGET=wget
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEBCFLAGS+=-O0
else
  DEBCFLAGS+=-O2
endif

DEBVERSION:=$(shell head -1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/-.*$$//')

build: build-stamp
build-stamp:
	dh_testdir
	make CFLAGS="$(DEBCFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp
	-make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -d debian/mt-st/sbin debian/mt-st/bin debian/mt-st/etc \
		debian/mt-st/usr/share/man/man1 debian/mt-st/usr/share/man/man8
	make install SBINDIR=debian/mt-st/sbin \
		BINDIR=debian/mt-st/bin \
		MANDIR=debian/mt-st/usr/share/man
	cp debian/stinit.def debian/mt-st/etc/
	mv debian/mt-st/bin/mt debian/mt-st/bin/mt-st
	mv debian/mt-st/usr/share/man/man1/mt.1 \
	   debian/mt-st/usr/share/man/man1/mt-st.1

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples stinit.def.examples
	dh_installinit -- start 30 S .
	dh_installmodules
	dh_installudev
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	$(WGET) -O mt-st_$(UPVERSION).orig.tar.gz \
	  ftp://sunsite.unc.edu/pub/Linux/system/backup/mt-st-$(UPVERSION).tar.gz

.PHONY: build clean binary-indep binary-arch binary install print-version \
	get-orig-source
